Profiles
A profile is one brand or end customer. Social accounts are connected to a profile.
List profiles
Section titled “List profiles”GET
/v1/profilesResponse 200
data []
idstringrequirednamestringrequiredtimezonestringexternalIdstringcreatedAtstring (date-time)requiredupdatedAtstring (date-time)required
curl "https://api.usecrier.com/v1/profiles" \ -H "Authorization: Bearer $CRIER_API_KEY"const res = await fetch('https://api.usecrier.com/v1/profiles', { headers: { Authorization: `Bearer ${process.env.CRIER_API_KEY}`, },});const { data } = await res.json();import os, requests
res = requests.get( "https://api.usecrier.com/v1/profiles", headers={"Authorization": f"Bearer {os.environ['CRIER_API_KEY']}"},)data = res.json()["data"]Create a profile
Section titled “Create a profile”POST
/v1/profilesBody
namestringrequiredBrand or end-customer name.
timezonestringIANA timezone, e.g. Europe/Madrid. Used by the queue.
externalIdstringYour own id for this customer, returned as is.
Response 201
data
idstringrequirednamestringrequiredtimezonestringexternalIdstringcreatedAtstring (date-time)requiredupdatedAtstring (date-time)required
curl -X POST "https://api.usecrier.com/v1/profiles" \ -H "Authorization: Bearer $CRIER_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "name": "Acme", "timezone": "Europe/Madrid", "externalId": "customer-42" }'const res = await fetch('https://api.usecrier.com/v1/profiles', { method: 'POST', headers: { Authorization: `Bearer ${process.env.CRIER_API_KEY}`, 'Content-Type': 'application/json', }, body: JSON.stringify({ "name": "Acme", "timezone": "Europe/Madrid", "externalId": "customer-42" }),});const { data } = await res.json();import os, requests
res = requests.post( "https://api.usecrier.com/v1/profiles", headers={"Authorization": f"Bearer {os.environ['CRIER_API_KEY']}"}, json={ "name": "Acme", "timezone": "Europe/Madrid", "externalId": "customer-42" },)data = res.json()["data"]Get a profile
Section titled “Get a profile”GET
/v1/profiles/{id}Parameters
idstringrequired
Response 200
data
idstringrequirednamestringrequiredtimezonestringexternalIdstringcreatedAtstring (date-time)requiredupdatedAtstring (date-time)required
curl "https://api.usecrier.com/v1/profiles/prf_8f2k4d" \ -H "Authorization: Bearer $CRIER_API_KEY"const res = await fetch('https://api.usecrier.com/v1/profiles/prf_8f2k4d', { headers: { Authorization: `Bearer ${process.env.CRIER_API_KEY}`, },});const { data } = await res.json();import os, requests
res = requests.get( "https://api.usecrier.com/v1/profiles/prf_8f2k4d", headers={"Authorization": f"Bearer {os.environ['CRIER_API_KEY']}"},)data = res.json()["data"]Update a profile
Section titled “Update a profile”PATCH
/v1/profiles/{id}Parameters
idstringrequired
Body
namestringBrand or end-customer name.
timezonestringIANA timezone, e.g. Europe/Madrid. Used by the queue.
externalIdstringYour own id for this customer, returned as is.
Response 200
data
idstringrequirednamestringrequiredtimezonestringexternalIdstringcreatedAtstring (date-time)requiredupdatedAtstring (date-time)required
curl -X PATCH "https://api.usecrier.com/v1/profiles/prf_8f2k4d" \ -H "Authorization: Bearer $CRIER_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "name": "Acme Spain" }'const res = await fetch('https://api.usecrier.com/v1/profiles/prf_8f2k4d', { method: 'PATCH', headers: { Authorization: `Bearer ${process.env.CRIER_API_KEY}`, 'Content-Type': 'application/json', }, body: JSON.stringify({ "name": "Acme Spain" }),});const { data } = await res.json();import os, requests
res = requests.patch( "https://api.usecrier.com/v1/profiles/prf_8f2k4d", headers={"Authorization": f"Bearer {os.environ['CRIER_API_KEY']}"}, json={ "name": "Acme Spain" },)data = res.json()["data"]Delete a profile
Section titled “Delete a profile”DELETE
/v1/profiles/{id}Also disconnects its accounts.
Parameters
idstringrequired
Response 204
No content
curl -X DELETE "https://api.usecrier.com/v1/profiles/prf_8f2k4d" \ -H "Authorization: Bearer $CRIER_API_KEY"await fetch('https://api.usecrier.com/v1/profiles/prf_8f2k4d', { method: 'DELETE', headers: { Authorization: `Bearer ${process.env.CRIER_API_KEY}`, },});import os, requests
requests.delete( "https://api.usecrier.com/v1/profiles/prf_8f2k4d", headers={"Authorization": f"Bearer {os.environ['CRIER_API_KEY']}"},)© 2026 Crier by TWOFACES ·usecrier.com ·Dashboard ·soporte@twofacesco.com